
From: Brian Gerst <bgerst@quark.didntduck.org>

Remove the unused symbol_is() macro.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/module.c |    3 ---
 1 files changed, 3 deletions(-)

diff -puN kernel/module.c~remove-symbol_is kernel/module.c
--- 25/kernel/module.c~remove-symbol_is	2004-07-31 17:19:05.350908744 -0700
+++ 25-akpm/kernel/module.c	2004-07-31 17:19:05.355907984 -0700
@@ -51,9 +51,6 @@
 /* If this is set, the section belongs in the init part of the module */
 #define INIT_OFFSET_MASK (1UL << (BITS_PER_LONG-1))
 
-#define symbol_is(literal, string)				\
-	(strcmp(MODULE_SYMBOL_PREFIX literal, (string)) == 0)
-
 /* Protects module list */
 static spinlock_t modlist_lock = SPIN_LOCK_UNLOCKED;
 
_
